camlspotter avatar camlspotter committed d485410

removed old automake stuffs

Comments (0)

Files changed (57)

Makefile.am

-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
-#                                                                     #
-#  Copyright 1999-2004,                                               #
-#  Institut National de Recherche en Informatique et en Automatique.  #
-#  Distributed only by permission.                                    #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.am,v 1.9 2010/03/10 14:32:55 remy Exp $ *)
-
-SUBDIRS = src examples doc
-
-if HAVE_FREETYPE
-if HAVE_GIF
-SUBDIRS += test
-endif
-endif
-
-CVSRELEASETAG = Release-$(subst .,_,$(VERSION))
-ANNOUNCEFILE  = Announce-$(VERSION)
-
-WEBSITEDIR = /net/yquem/infosystems/www/bazaar/$(PACKAGE)
-FTPSITEDIR = /net/yquem/infosystems/ftp/$(PACKAGE)
-CVSROOTDIR = /net/yquem/devel/caml/repository/
-CVSPKGDIR  = bazar-ocaml/$(PACKAGE)
-
-cvstag:
-	cvs tag -c $(CVSRELEASETAG)
-
-cvsuntag:
-	cvs tag -d $(CVSRELEASETAG)
-
-announce:
-	mail -n -s "New release $(VERSION) of $(NAME)" \
-		caml-announce@inria.fr < $(ANNOUNCEFILE)
-
-website: dist
-	if [ -d $(WEBSITEDIR) ]; then     \
-		: ; \
-	else                              \
-		$(INSTALL) -d -g caml -m 775 $(WEBSITEDIR); \
-	fi
-	$(INSTALL) -g caml -m 775 $(DIST_ARCHIVES) $(WEBSITEDIR)
-	$(INSTALL) -g caml -m 775 doc/*.html $(WEBSITEDIR)
-	$(INSTALL) -g caml -m 775 doc/*.jpg $(WEBSITEDIR)
-	cd $(WEBSITEDIR) && ln -sf eng.html index.html
-
-# ftpsite: dist
-# 	if [ ! -d $(FTPSITEDIR) ]; then                     \
-# 		$(INSTALL) -d -g caml -m g+w $(FTPSITEDIR); \
-# 	done
-# 	$(INSTALL) -g caml -m g+w $(DISTFILE) $(FTPSITEDIR)

Makefile.config.in

-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
-#                                                                     #
-#  Copyright 1999-2004,                                               #
-#  Institut National de Recherche en Informatique et en Automatique.  #
-#  Distributed only by permission.                                    #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.config.in,v 1.48 2009/03/01 12:05:59 furuse Exp $ *)
-
-@SET_MAKE@
-
-# tools
-OCAMLC		= @OCAMLC@
-OCAMLOPT	= @OCAMLOPT@
-OCAMLDEP	= @OCAMLDEP@
-OCAMLMKTOP	= @OCAMLMKTOP@
-OCAMLMKLIB	= @OCAMLMKLIB@
-OCAMLSITELIBIR	= @OCAMLSITELIBDIR@
-CFLAGS		= @CFLAGS@
-COMPFLAGS	= @COMPFLAGS@
-INSTALL		= @INSTALL@
-
-# flags
-COMPFLAGS	= -warn-error A
-LINKFLAGS	= 
-CFLAGS		= @CFLAGS@
-LDFLAGS		= @LDFLAGS@
-BYT_LINKFLAGS	= $(LINKFLAGS) $(LOCAL_LINKFLAGS)
-OPT_LINKFLAGS	= $(LINKFLAGS:.cma=.cmxa) $(LOCAL_LINKFLAGS:.cma=.cmxa)
-INCXPM		= @INCXPM@
-INCFREETYPE	= @INCFREETYPE@
-LIBFREETYPE	= @LIBFREETYPE@
-LIBXPM		= @LIBXPM@
-LIBTIFF		= @LIBTIFF@
-LIBPNG		= @LIBPNG@
-LIBJPEG		= @LIBJPEG@
-LIBGIF		= @LIBGIF@
-
-# environment
-LABLGTKDIR	= @LABLGTKDIR@
-LABLGTK2DIR	= @LABLGTK2DIR@
-OCAMLLIB	= @OCAMLLIB@
-PATH_RGB_TXT	= @PATH_RGB_TXT@
-PATH_GS		= @PATH_GS@
-WORD_SIZE	= @WORD_SIZE@
-
-# package
-PACKAGE_NAME	= @PACKAGE_NAME@
-PACKAGE_VERSION	= @PACKAGE_VERSION@
-LIBNAME		= $(PACKAGE_NAME)
-LIBDIR		= $(OCAMLLIB)/$(LIBNAME)
-
-# format support
-SUPPORT_GIF	= @SUPPORT_GIF@
-SUPPORT_PNG	= @SUPPORT_PNG@
-SUPPORT_JPEG	= @SUPPORT_JPEG@
-SUPPORT_TIFF	= @SUPPORT_TIFF@
-SUPPORT_FREETYPE= @SUPPORT_FREETYPE@
-SUPPORT_PS	= @SUPPORT_PS@
-SUPPORT_XPM	= @SUPPORT_XPM@
-
-# build directories
-EXAMPLEDIRS	= @EXAMPLEDIRS@
-BUILDDIRS	= @BUILDDIRS@
-
-LISTPATH	= ./
-MLBYTOBJS	= $(MLMODULES:=.cmo)
-MLOPTOBJS	= $(MLMODULES:=.cmx)
-COBJS		= $(CMODULES:=.o)
-WITH_CAMLIMAGES	= @WITH_CAMLIMAGES@
-WITH_UNIX	= unix.cma

Makefile.distribution

-# Finally something to help the distribution.
-
-PACKAGE=camlimages
-RELEASE_TAG=camlimages_3_0_2
-ANNOUNCE_FILE=Announce-3.0.2
-
-tag:
-	cvs rtag $(RELEASE_TAG) $(PACKAGE)
-
-retag:
-	cvs rtag -F -R $(RELEASE_TAG) $(PACKAGE)
-
-announce:
-	mail -n -s "New 3.0.2 release of the Caml Images library" \
-	        caml-announce@inria.fr < $(ANNOUNCE_FILE) && \
-        mail -n -s "New 3.0.2 release of the Caml Images library" \
-	        caml-list@inria.fr < $(ANNOUNCE_FILE)
-

Makefile.in

-# Makefile.in generated by automake 1.9.6 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
-#                                                                     #
-#  Copyright 1999-2004,                                               #
-#  Institut National de Recherche en Informatique et en Automatique.  #
-#  Distributed only by permission.                                    #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.am,v 1.9 2010/03/10 14:32:55 remy Exp $ *)
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-VPATH = @srcdir@
-pkgdatadir = $(datadir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-top_builddir = .
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = @INSTALL@
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-@HAVE_FREETYPE_TRUE@@HAVE_GIF_TRUE@am__append_1 = test
-subdir = .
-DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
-	$(top_srcdir)/configure install-sh missing
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/ocaml.m4 \
-	$(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-	$(ACLOCAL_M4)
-am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
- configure.lineno configure.status.lineno
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = config.h
-CONFIG_CLEAN_FILES =
-SOURCES =
-DIST_SOURCES =
-RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
-	html-recursive info-recursive install-data-recursive \
-	install-exec-recursive install-info-recursive \
-	install-recursive installcheck-recursive installdirs-recursive \
-	pdf-recursive ps-recursive uninstall-info-recursive \
-	uninstall-recursive
-ETAGS = etags
-CTAGS = ctags
-DIST_SUBDIRS = src examples doc test
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-distdir = $(PACKAGE)-$(VERSION)
-top_distdir = $(distdir)
-am__remove_distdir = \
-  { test ! -d $(distdir) \
-    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
-         && rm -fr $(distdir); }; }
-DIST_ARCHIVES = $(distdir).tar.gz
-GZIP_ENV = --best
-distuninstallcheck_listfiles = find . -type f -print
-distcleancheck_listfiles = find . -type f -print
-ACLOCAL = @ACLOCAL@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
-AMTAR = @AMTAR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-BUILD_BYTECODE_FALSE = @BUILD_BYTECODE_FALSE@
-BUILD_BYTECODE_TRUE = @BUILD_BYTECODE_TRUE@
-BUILD_NATIVE_FALSE = @BUILD_NATIVE_FALSE@
-BUILD_NATIVE_TRUE = @BUILD_NATIVE_TRUE@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-FREETYPE_CONFIG = @FREETYPE_CONFIG@
-GREP = @GREP@
-GS = @GS@
-HAVE_FREETYPE_FALSE = @HAVE_FREETYPE_FALSE@
-HAVE_FREETYPE_TRUE = @HAVE_FREETYPE_TRUE@
-HAVE_GIF_FALSE = @HAVE_GIF_FALSE@
-HAVE_GIF_TRUE = @HAVE_GIF_TRUE@
-HAVE_JPEG_FALSE = @HAVE_JPEG_FALSE@
-HAVE_JPEG_TRUE = @HAVE_JPEG_TRUE@
-HAVE_LABLGTK2_FALSE = @HAVE_LABLGTK2_FALSE@
-HAVE_LABLGTK2_TRUE = @HAVE_LABLGTK2_TRUE@
-HAVE_LABLGTK_FALSE = @HAVE_LABLGTK_FALSE@
-HAVE_LABLGTK_TRUE = @HAVE_LABLGTK_TRUE@
-HAVE_PNG_FALSE = @HAVE_PNG_FALSE@
-HAVE_PNG_TRUE = @HAVE_PNG_TRUE@
-HAVE_PS_FALSE = @HAVE_PS_FALSE@
-HAVE_PS_TRUE = @HAVE_PS_TRUE@
-HAVE_TIFF_FALSE = @HAVE_TIFF_FALSE@
-HAVE_TIFF_TRUE = @HAVE_TIFF_TRUE@
-HAVE_XPM_FALSE = @HAVE_XPM_FALSE@
-HAVE_XPM_TRUE = @HAVE_XPM_TRUE@
-INCFREETYPE = @INCFREETYPE@
-INCXPM = @INCXPM@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-LABLGTK2DIR = @LABLGTK2DIR@
-LABLGTKDIR = @LABLGTKDIR@
-LDFLAGS = @LDFLAGS@
-LIBFREETYPE = @LIBFREETYPE@
-LIBGIF = @LIBGIF@
-LIBJPEG = @LIBJPEG@
-LIBOBJS = @LIBOBJS@
-LIBPNG = @LIBPNG@
-LIBS = @LIBS@
-LIBTIFF = @LIBTIFF@
-LIBXPM = @LIBXPM@
-LTLIBOBJS = @LTLIBOBJS@
-MAINT = @MAINT@
-MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
-MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
-MAKEINFO = @MAKEINFO@
-OBJEXT = @OBJEXT@
-OCAMLC = @OCAMLC@
-OCAMLCFLAGS = @OCAMLCFLAGS@
-OCAMLC_OPT = @OCAMLC_OPT@
-OCAMLDEP = @OCAMLDEP@
-OCAMLDEP_OPT = @OCAMLDEP_OPT@
-OCAMLLIB = @OCAMLLIB@
-OCAMLMKLIB = @OCAMLMKLIB@
-OCAMLMKLIB_OPT = @OCAMLMKLIB_OPT@
-OCAMLOPT = @OCAMLOPT@
-OCAMLOPT_OPT = @OCAMLOPT_OPT@
-OCAMLSITELIBDIR = @OCAMLSITELIBDIR@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_OCAMLFIND = @PATH_OCAMLFIND@
-PATH_RGB_TXT = @PATH_RGB_TXT@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-REQUIRES = @REQUIRES@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-STRIP = @STRIP@
-SUPPORT_FREETYPE = @SUPPORT_FREETYPE@
-SUPPORT_GIF = @SUPPORT_GIF@
-SUPPORT_JPEG = @SUPPORT_JPEG@
-SUPPORT_PNG = @SUPPORT_PNG@
-SUPPORT_PS = @SUPPORT_PS@
-SUPPORT_TIFF = @SUPPORT_TIFF@
-SUPPORT_XPM = @SUPPORT_XPM@
-VERSION = @VERSION@
-WORD_SIZE = @WORD_SIZE@
-XMKMF = @XMKMF@
-X_CFLAGS = @X_CFLAGS@
-X_EXTRA_LIBS = @X_EXTRA_LIBS@
-X_LIBS = @X_LIBS@
-X_PRE_LIBS = @X_PRE_LIBS@
-ac_ct_CC = @ac_ct_CC@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build_alias = @build_alias@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-host_alias = @host_alias@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-SUBDIRS = src examples doc $(am__append_1)
-CVSRELEASETAG = Release-$(subst .,_,$(VERSION))
-ANNOUNCEFILE = Announce-$(VERSION)
-WEBSITEDIR = /net/yquem/infosystems/www/bazaar/$(PACKAGE)
-FTPSITEDIR = /net/yquem/infosystems/ftp/$(PACKAGE)
-CVSROOTDIR = /net/yquem/devel/caml/repository/
-CVSPKGDIR = bazar-ocaml/$(PACKAGE)
-all: config.h
-	$(MAKE) $(AM_MAKEFLAGS) all-recursive
-
-.SUFFIXES:
-am--refresh:
-	@:
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
-	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
-		&& exit 0; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
-	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    echo ' $(SHELL) ./config.status'; \
-	    $(SHELL) ./config.status;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	$(SHELL) ./config.status --recheck
-
-$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
-	cd $(srcdir) && $(AUTOCONF)
-$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
-	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
-
-config.h: stamp-h1
-	@if test ! -f $@; then \
-	  rm -f stamp-h1; \
-	  $(MAKE) stamp-h1; \
-	else :; fi
-
-stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
-	@rm -f stamp-h1
-	cd $(top_builddir) && $(SHELL) ./config.status config.h
-$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
-	cd $(top_srcdir) && $(AUTOHEADER)
-	rm -f stamp-h1
-	touch $@
-
-distclean-hdr:
-	-rm -f config.h stamp-h1
-uninstall-info-am:
-
-# This directory's subdirectories are mostly independent; you can cd
-# into them and run `make' without going through this Makefile.
-# To change the values of `make' variables: instead of editing Makefiles,
-# (1) if the variable is set in `config.status', edit `config.status'
-#     (which will cause the Makefiles to be regenerated when you run `make');
-# (2) otherwise, pass the desired values on the `make' command line.
-$(RECURSIVE_TARGETS):
-	@failcom='exit 1'; \
-	for f in x $$MAKEFLAGS; do \
-	  case $$f in \
-	    *=* | --[!k]*);; \
-	    *k*) failcom='fail=yes';; \
-	  esac; \
-	done; \
-	dot_seen=no; \
-	target=`echo $@ | sed s/-recursive//`; \
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  echo "Making $$target in $$subdir"; \
-	  if test "$$subdir" = "."; then \
-	    dot_seen=yes; \
-	    local_target="$$target-am"; \
-	  else \
-	    local_target="$$target"; \
-	  fi; \
-	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-	  || eval $$failcom; \
-	done; \
-	if test "$$dot_seen" = "no"; then \
-	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
-	fi; test -z "$$fail"
-
-mostlyclean-recursive clean-recursive distclean-recursive \
-maintainer-clean-recursive:
-	@failcom='exit 1'; \
-	for f in x $$MAKEFLAGS; do \
-	  case $$f in \
-	    *=* | --[!k]*);; \
-	    *k*) failcom='fail=yes';; \
-	  esac; \
-	done; \
-	dot_seen=no; \
-	case "$@" in \
-	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
-	  *) list='$(SUBDIRS)' ;; \
-	esac; \
-	rev=''; for subdir in $$list; do \
-	  if test "$$subdir" = "."; then :; else \
-	    rev="$$subdir $$rev"; \
-	  fi; \
-	done; \
-	rev="$$rev ."; \
-	target=`echo $@ | sed s/-recursive//`; \
-	for subdir in $$rev; do \
-	  echo "Making $$target in $$subdir"; \
-	  if test "$$subdir" = "."; then \
-	    local_target="$$target-am"; \
-	  else \
-	    local_target="$$target"; \
-	  fi; \
-	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-	  || eval $$failcom; \
-	done && test -z "$$fail"
-tags-recursive:
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
-	done
-ctags-recursive:
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
-	done
-
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
-	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	mkid -fID $$unique
-tags: TAGS
-
-TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \
-	here=`pwd`; \
-	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
-	  include_option=--etags-include; \
-	  empty_fix=.; \
-	else \
-	  include_option=--include; \
-	  empty_fix=; \
-	fi; \
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test ! -f $$subdir/TAGS || \
-	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
-	  fi; \
-	done; \
-	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	    $$tags $$unique; \
-	fi
-ctags: CTAGS
-CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \
-	here=`pwd`; \
-	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	test -z "$(CTAGS_ARGS)$$tags$$unique" \
-	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
-	     $$tags $$unique
-
-GTAGS:
-	here=`$(am__cd) $(top_builddir) && pwd` \
-	  && cd $(top_srcdir) \
-	  && gtags -i $(GTAGS_ARGS) $$here
-
-distclean-tags:
-	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	$(am__remove_distdir)
-	mkdir $(distdir)
-	$(mkdir_p) $(distdir)/src
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
-	  if test -d $$d/$$file; then \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
-	    fi; \
-	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
-	  else \
-	    test -f $(distdir)/$$file \
-	    || cp -p $$d/$$file $(distdir)/$$file \
-	    || exit 1; \
-	  fi; \
-	done
-	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(mkdir_p) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	    distdir=`$(am__cd) $(distdir) && pwd`; \
-	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
-	    (cd $$subdir && \
-	      $(MAKE) $(AM_MAKEFLAGS) \
-	        top_distdir="$$top_distdir" \
-	        distdir="$$distdir/$$subdir" \
-	        distdir) \
-	      || exit 1; \
-	  fi; \
-	done
-	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
-	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
-	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
-	|| chmod -R a+r $(distdir)
-dist-gzip: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-dist-bzip2: distdir
-	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
-	$(am__remove_distdir)
-
-dist-tarZ: distdir
-	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
-	$(am__remove_distdir)
-
-dist-shar: distdir
-	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
-	$(am__remove_distdir)
-
-dist-zip: distdir
-	-rm -f $(distdir).zip
-	zip -rq $(distdir).zip $(distdir)
-	$(am__remove_distdir)
-
-dist dist-all: distdir
-	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
-	$(am__remove_distdir)
-
-# This target untars the dist file and tries a VPATH configuration.  Then
-# it guarantees that the distribution is self-contained by making another
-# tarfile.
-distcheck: dist
-	case '$(DIST_ARCHIVES)' in \
-	*.tar.gz*) \
-	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
-	*.tar.bz2*) \
-	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
-	*.tar.Z*) \
-	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
-	*.shar.gz*) \
-	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
-	*.zip*) \
-	  unzip $(distdir).zip ;;\
-	esac
-	chmod -R a-w $(distdir); chmod a+w $(distdir)
-	mkdir $(distdir)/_build
-	mkdir $(distdir)/_inst
-	chmod a-w $(distdir)
-	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
-	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
-	  && cd $(distdir)/_build \
-	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
-	    $(DISTCHECK_CONFIGURE_FLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
-	  && $(MAKE) $(AM_MAKEFLAGS) check \
-	  && $(MAKE) $(AM_MAKEFLAGS) install \
-	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
-	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
-	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
-	        distuninstallcheck \
-	  && chmod -R a-w "$$dc_install_base" \
-	  && ({ \
-	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
-	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
-	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
-	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
-	  && rm -rf "$$dc_destdir" \
-	  && $(MAKE) $(AM_MAKEFLAGS) dist \
-	  && rm -rf $(DIST_ARCHIVES) \
-	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
-	$(am__remove_distdir)
-	@(echo "$(distdir) archives ready for distribution: "; \
-	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
-	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
-distuninstallcheck:
-	@cd $(distuninstallcheck_dir) \
-	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
-	   || { echo "ERROR: files left after uninstall:" ; \
-	        if test -n "$(DESTDIR)"; then \
-	          echo "  (check DESTDIR support)"; \
-	        fi ; \
-	        $(distuninstallcheck_listfiles) ; \
-	        exit 1; } >&2
-distcleancheck: distclean
-	@if test '$(srcdir)' = . ; then \
-	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
-	  exit 1 ; \
-	fi
-	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
-	  || { echo "ERROR: files left in build directory after distclean:" ; \
-	       $(distcleancheck_listfiles) ; \
-	       exit 1; } >&2
-check-am: all-am
-check: check-recursive
-all-am: Makefile config.h
-installdirs: installdirs-recursive
-installdirs-am:
-install: install-recursive
-install-exec: install-exec-recursive
-install-data: install-data-recursive
-uninstall: uninstall-recursive
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-recursive
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-	  `test -z '$(STRIP)' || \
-	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-
-maintainer-clean-generic:
-	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-recursive
-
-clean-am: clean-generic mostlyclean-am
-
-distclean: distclean-recursive
-	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-	-rm -f Makefile
-distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
-
-dvi: dvi-recursive
-
-dvi-am:
-
-html: html-recursive
-
-info: info-recursive
-
-info-am:
-
-install-data-am:
-
-install-exec-am:
-
-install-info: install-info-recursive
-
-install-man:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-recursive
-	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-	-rm -rf $(top_srcdir)/autom4te.cache
-	-rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-recursive
-
-mostlyclean-am: mostlyclean-generic
-
-pdf: pdf-recursive
-
-pdf-am:
-
-ps: ps-recursive
-
-ps-am:
-
-uninstall-am: uninstall-info-am
-
-uninstall-info: uninstall-info-recursive
-
-.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
-	check-am clean clean-generic clean-recursive ctags \
-	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
-	dist-tarZ dist-zip distcheck distclean distclean-generic \
-	distclean-hdr distclean-recursive distclean-tags \
-	distcleancheck distdir distuninstallcheck dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-exec install-exec-am install-info \
-	install-info-am install-man install-strip installcheck \
-	installcheck-am installdirs installdirs-am maintainer-clean \
-	maintainer-clean-generic maintainer-clean-recursive \
-	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
-	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
-	uninstall-info-am
-
-
-cvstag:
-	cvs tag -c $(CVSRELEASETAG)
-
-cvsuntag:
-	cvs tag -d $(CVSRELEASETAG)
-
-announce:
-	mail -n -s "New release $(VERSION) of $(NAME)" \
-		caml-announce@inria.fr < $(ANNOUNCEFILE)
-
-website: dist
-	if [ -d $(WEBSITEDIR) ]; then     \
-		: ; \
-	else                              \
-		$(INSTALL) -d -g caml -m 775 $(WEBSITEDIR); \
-	fi
-	$(INSTALL) -g caml -m 775 $(DIST_ARCHIVES) $(WEBSITEDIR)
-	$(INSTALL) -g caml -m 775 doc/*.html $(WEBSITEDIR)
-	$(INSTALL) -g caml -m 775 doc/*.jpg $(WEBSITEDIR)
-	cd $(WEBSITEDIR) && ln -sf eng.html index.html
-
-# ftpsite: dist
-# 	if [ ! -d $(FTPSITEDIR) ]; then                     \
-# 		$(INSTALL) -d -g caml -m g+w $(FTPSITEDIR); \
-# 	done
-# 	$(INSTALL) -g caml -m g+w $(DISTFILE) $(FTPSITEDIR)
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:

Makefile.rules

-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
-#                                                                     #
-#  Copyright 1999-2004,                                               #
-#  Institut National de Recherche en Informatique et en Automatique.  #
-#  Distributed only by permission.                                    #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.rules,v 1.22 2007/02/08 07:52:20 rousse Exp $ *)
-
-SUFFIXES = .ml .mli .cmo .cmi .cmx .c .o
-
-.ml.cmo:
-	$(OCAMLC) $(OCAMLCFLAGS) $(AM_OCAMLCFLAGS) -o $@ -c $<
-
-.mli.cmi:
-	$(OCAMLC) $(OCAMLCFLAGS) $(AM_OCAMLCFLAGS) -o $@ -c $<
-
-.ml.cmx:
-	$(OCAMLOPT) $(OCAMLCFLAGS) $(AM_OCAMLCFLAGS) -o $@ -c $<
-
-.c.o: $(top_srcdir)/config.h
-	$(OCAMLC) -ccopt "-o $@ $(CFLAGS) $(AM_CFLAGS)" -c $< 
-
-# moving to $(srcdir) is needed in case of VPATH build
-.depend: $(OCAMLSOURCES) $(OCAMLINTERFACES) $(top_srcdir)/config.status
-	(cd $(srcdir) && $(OCAMLDEP) $(OCAMLSOURCES) $(OCAMLINTERFACES)) > .depend 
-
-# ugly stuff for make time include
-@AMDEP_TRUE@@am__include@ @am__quote@.depend@am__quote@

Makefile.variables

-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
-#                                                                     #
-#  Copyright 1999-2004,                                               #
-#  Institut National de Recherche en Informatique et en Automatique.  #
-#  Distributed only by permission.                                    #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.variables,v 1.9 2008/02/17 23:24:15 furuse Exp $ *)
-
-OCAMLBYTOBJS	= $(OCAMLBUILTSOURCES:.ml=.cmo) $(OCAMLSOURCES:.ml=.cmo)
-OCAMLOPTOBJS	= $(OCAMLBUILTSOURCES:.ml=.cmx) $(OCAMLSOURCES:.ml=.cmx)
-COBJS		= $(CSOURCES:.c=.o)
-
-# flags needed to build examples
-CAMLIMAGES_INCLUDES = -I $(top_builddir)/src
-CAMLIMAGES_LIBS = 
-
-if HAVE_LABLGTK2
-CAMLIMAGES_INCLUDES += -I $(LABLGTK2DIR)
-CAMLIMAGES_LIBS += lablgtk.cma
-endif
-
-if HAVE_LABLGTK
-CAMLIMAGES_INCLUDES += -I $(LABLGTKDIR)
-CAMLIMAGES_LIBS += lablgtk.cma
-endif
-
-CAMLIMAGES_LIBS_CORE = camlimages_core.cma
-CAMLIMAGES_LIBS += graphics.cma camlimages.cma
-
-DLLPATHS	= -dllpath $(top_srcdir)/src
-AM_OCAMLCFLAGS	= $(CAMLIMAGES_INCLUDES)
-AM_LINKFLAGS	= $(CAMLIMAGES_INCLUDES)
-
-OCAMLLIBS	= $(CAMLIMAGES_LIBS) $(OTHER_LIBS)
-OCAMLLIBS_CORE	= $(CAMLIMAGES_LIBS_CORE) $(OTHER_LIBS)
-
-CLEANFILES = $(OCAMLBYTOBJS) \
-	     $(OCAMLOPTOBJS) \
-	     $(OCAMLOPTOBJS:.cmx=.o) \
-	     $(OCAMLSOURCES:.ml=.cmi) \
-	     $(COBJS)
 
 include OMyMakeroot
 
-RequireAptPackages(libgif-dev)
-
 ########################################## You may want to change these
 
 # Specify non standard include directories
   # Variables must be initialized inside .STATIC, if they should be
   # exported out.
 
+  # For the author's personal use
+  if $(defined WithOMyApt)
+    InstallAptPackages(libgif-dev libjpeg62-dev libtiff4-dev libpng12-dev libfreetype6-dev libxpm-dev)
+
   if $(not $(OCAMLFIND_EXISTS))
      eprintln(This project requires ocamlfind\, but is was not found.)
      eprintln(You need to install ocamlfind and run "omake --configure".)

doc/old/Makefile

-# Makefile.in generated by automake 1.9.6 from Makefile.am.
-# doc/Makefile.  Generated from Makefile.in by configure.
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-
-
-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#                                                                     #
-#  Copyright 2004 Institut National de Recherche en Informatique et   #
-#  en Automatique.  Distributed only by permission.                   #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.am,v 1.2 2007/01/08 16:44:30 rousse Exp $ *)
-
-srcdir = .
-top_srcdir = ..
-
-pkgdatadir = $(datadir)/camlimages
-pkglibdir = $(libdir)/camlimages
-pkgincludedir = $(includedir)/camlimages
-top_builddir = ..
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = /usr/X11R6/bin/install -c
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-subdir = doc
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/ocaml.m4 \
-	$(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES =
-SOURCES =
-DIST_SOURCES =
-DATA = $(noinst_DATA)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run aclocal-1.9
-AMDEP_FALSE = #
-AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run tar
-AUTOCONF = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run automake-1.9
-AWK = gawk
-BUILD_BYTECODE_FALSE = #
-BUILD_BYTECODE_TRUE = 
-BUILD_NATIVE_FALSE = #
-BUILD_NATIVE_TRUE = 
-CC = gcc
-CCDEPMODE = depmode=none
-CFLAGS = -g -O2
-CPP = gcc -E
-CPPFLAGS = 
-CYGPATH_W = echo
-DEFS = -DHAVE_CONFIG_H
-DEPDIR = .deps
-ECHO_C = 
-ECHO_N = -n
-ECHO_T = 
-EGREP = /bin/grep -E
-EXEEXT = 
-FREETYPE_CONFIG = /usr/X11R6/bin/freetype-config
-GREP = /bin/grep
-GS = /usr/X11R6/bin/gs
-HAVE_FREETYPE_FALSE = #
-HAVE_FREETYPE_TRUE = 
-HAVE_GIF_FALSE = #
-HAVE_GIF_TRUE = 
-HAVE_JPEG_FALSE = #
-HAVE_JPEG_TRUE = 
-HAVE_LABLGTK2_FALSE = #
-HAVE_LABLGTK2_TRUE = 
-HAVE_LABLGTK_FALSE = 
-HAVE_LABLGTK_TRUE = #
-HAVE_PNG_FALSE = #
-HAVE_PNG_TRUE = 
-HAVE_PS_FALSE = #
-HAVE_PS_TRUE = 
-HAVE_TIFF_FALSE = #
-HAVE_TIFF_TRUE = 
-HAVE_XPM_FALSE = #
-HAVE_XPM_TRUE = 
-INCFREETYPE = -I/usr/include/freetype2
-INCXPM = 
-INSTALL_DATA = ${INSTALL} -m 644
-INSTALL_PROGRAM = ${INSTALL}
-INSTALL_SCRIPT = ${INSTALL}
-INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
-LABLGTK2DIR = /home/jun/.share/prefix/lib/ocaml/lablgtk2
-LABLGTKDIR = 
-LDFLAGS = 
-LIBFREETYPE = -lfreetype -lz
-LIBGIF = -lgif
-LIBJPEG = -ljpeg
-LIBOBJS = 
-LIBPNG = -lpng -lz
-LIBS = 
-LIBTIFF = -ltiff -lz -ljpeg
-LIBXPM =  -lXpm  -lSM -lICE -lX11 
-LTLIBOBJS = 
-MAINT = #
-MAINTAINER_MODE_FALSE = 
-MAINTAINER_MODE_TRUE = #
-MAKEINFO = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run makeinfo
-OBJEXT = o
-OCAMLC = /home/jun/.share/prefix/bin/ocamlc.opt
-OCAMLCFLAGS = 
-OCAMLC_OPT = /home/jun/.share/prefix/bin/ocamlc.opt
-OCAMLDEP = /home/jun/.share/prefix/bin/ocamldep.opt
-OCAMLDEP_OPT = /home/jun/.share/prefix/bin/ocamldep.opt
-OCAMLLIB = /home/jun/.share/prefix/lib/ocaml
-OCAMLMKLIB = /home/jun/.share/prefix/bin/ocamlmklib
-OCAMLMKLIB_OPT = 
-OCAMLOPT = /home/jun/.share/prefix/bin/ocamlopt.opt
-OCAMLOPT_OPT = /home/jun/.share/prefix/bin/ocamlopt.opt
-OCAMLSITELIBDIR = /home/jun/.share/prefix/lib/ocaml/site-lib/camlimages
-PACKAGE = camlimages
-PACKAGE_BUGREPORT = use-omake-to-be-supported@nowhere.com
-PACKAGE_NAME = camlimages
-PACKAGE_STRING = camlimages 4.0.0
-PACKAGE_TARNAME = camlimages
-PACKAGE_VERSION = 4.0.0
-PATH_OCAMLFIND = /home/jun/.share/prefix/bin/ocamlfind
-PATH_RGB_TXT = none
-PATH_SEPARATOR = :
-REQUIRES = camlimages.lablgtk2 graphics
-SET_MAKE = 
-SHELL = /bin/sh
-STRIP = 
-SUPPORT_FREETYPE = true
-SUPPORT_GIF = true
-SUPPORT_JPEG = true
-SUPPORT_PNG = true
-SUPPORT_PS = true
-SUPPORT_TIFF = true
-SUPPORT_XPM = true
-VERSION = 4.0.0
-WORD_SIZE = 4
-XMKMF = 
-X_CFLAGS = 
-X_EXTRA_LIBS = 
-X_LIBS = 
-X_PRE_LIBS =  -lSM -lICE
-ac_ct_CC = gcc
-am__fastdepCC_FALSE = 
-am__fastdepCC_TRUE = #
-am__include = include
-am__leading_dot = .
-am__quote = 
-am__tar = ${AMTAR} chof - "$$tardir"
-am__untar = ${AMTAR} xf -
-bindir = ${exec_prefix}/bin
-build_alias = 
-datadir = ${datarootdir}
-datarootdir = ${prefix}/share
-docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
-dvidir = ${docdir}
-exec_prefix = ${prefix}
-host_alias = 
-htmldir = ${docdir}
-includedir = ${prefix}/include
-infodir = ${datarootdir}/info
-install_sh = /home/jun/svn/x/clean/branches/omake/install-sh
-libdir = ${exec_prefix}/lib
-libexecdir = ${exec_prefix}/libexec
-localedir = ${datarootdir}/locale
-localstatedir = ${prefix}/var
-mandir = ${datarootdir}/man
-mkdir_p = mkdir -p --
-oldincludedir = /usr/include
-pdfdir = ${docdir}
-prefix = /home/jun/.share/prefix
-program_transform_name = s,x,x,
-psdir = ${docdir}
-sbindir = ${exec_prefix}/sbin
-sharedstatedir = ${prefix}/com
-sysconfdir = ${prefix}/etc
-target_alias = 
-noinst_DATA = eng.html
-CLEANFILES = eng.html
-EXTRA_DIST = eng.html.in \
-	     crop-icon.jpg \
-	     crop.jpg \
-	     edge-icon.jpg \
-	     edge.jpg \
-	     fumicaml2-small.jpg \
-	     lvdemo-icon.jpg \
-	     lvdemo.jpg \
-	     test.jpg \
-	     test-small.jpg \
-	     ttfimg-icon.jpg \
-	     ttfimg.jpg
-
-all: all-am
-
-.SUFFIXES:
-$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
-		&& exit 0; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
-	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  doc/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: # $(am__configure_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-uninstall-info-am:
-tags: TAGS
-TAGS:
-
-ctags: CTAGS
-CTAGS:
-
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
-	  if test -d $$d/$$file; then \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
-	    fi; \
-	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
-	  else \
-	    test -f $(distdir)/$$file \
-	    || cp -p $$d/$$file $(distdir)/$$file \
-	    || exit 1; \
-	  fi; \
-	done
-check-am: all-am
-check: check-am
-all-am: Makefile $(DATA)
-installdirs:
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-	  `test -z '$(STRIP)' || \
-	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
-
-distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-
-maintainer-clean-generic:
-	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic mostlyclean-am
-
-distclean: distclean-am
-	-rm -f Makefile
-distclean-am: clean-am distclean-generic
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-info: info-am
-
-info-am:
-
-install-data-am:
-
-install-exec-am:
-
-install-info: install-info-am
-
-install-man:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-	-rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-generic
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-info-am
-
-.PHONY: all all-am check check-am clean clean-generic distclean \
-	distclean-generic distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
-	uninstall-info-am
-
-
-eng.html: $(top_srcdir)/config.status eng.html.in
-	rm -f eng.html eng.html.tmp
-	sed \
-		-e 's,@VERSION\@,$(VERSION),g' \
-		$(srcdir)/eng.html.in > eng.html.tmp
-	mv eng.html.tmp eng.html
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:

doc/old/Makefile.am

-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#                                                                     #
-#  Copyright 2004 Institut National de Recherche en Informatique et   #
-#  en Automatique.  Distributed only by permission.                   #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.am,v 1.2 2007/01/08 16:44:30 rousse Exp $ *)
-
-noinst_DATA = eng.html
-
-CLEANFILES = eng.html
-
-EXTRA_DIST = eng.html.in \
-	     crop-icon.jpg \
-	     crop.jpg \
-	     edge-icon.jpg \
-	     edge.jpg \
-	     fumicaml2-small.jpg \
-	     lvdemo-icon.jpg \
-	     lvdemo.jpg \
-	     test.jpg \
-	     test-small.jpg \
-	     ttfimg-icon.jpg \
-	     ttfimg.jpg
-
-eng.html: $(top_srcdir)/config.status eng.html.in
-	rm -f eng.html eng.html.tmp
-	sed \
-		-e 's,@VERSION\@,$(VERSION),g' \
-		$(srcdir)/eng.html.in > eng.html.tmp
-	mv eng.html.tmp eng.html

doc/old/Makefile.in

-# Makefile.in generated by automake 1.9.6 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#                                                                     #
-#  Copyright 2004 Institut National de Recherche en Informatique et   #
-#  en Automatique.  Distributed only by permission.                   #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.am,v 1.2 2007/01/08 16:44:30 rousse Exp $ *)
-
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-VPATH = @srcdir@
-pkgdatadir = $(datadir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-top_builddir = ..
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = @INSTALL@
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-subdir = doc
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/ocaml.m4 \
-	$(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES =
-SOURCES =
-DIST_SOURCES =
-DATA = $(noinst_DATA)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
-AMTAR = @AMTAR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-BUILD_BYTECODE_FALSE = @BUILD_BYTECODE_FALSE@
-BUILD_BYTECODE_TRUE = @BUILD_BYTECODE_TRUE@
-BUILD_NATIVE_FALSE = @BUILD_NATIVE_FALSE@
-BUILD_NATIVE_TRUE = @BUILD_NATIVE_TRUE@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-FREETYPE_CONFIG = @FREETYPE_CONFIG@
-GREP = @GREP@
-GS = @GS@
-HAVE_FREETYPE_FALSE = @HAVE_FREETYPE_FALSE@
-HAVE_FREETYPE_TRUE = @HAVE_FREETYPE_TRUE@
-HAVE_GIF_FALSE = @HAVE_GIF_FALSE@
-HAVE_GIF_TRUE = @HAVE_GIF_TRUE@
-HAVE_JPEG_FALSE = @HAVE_JPEG_FALSE@
-HAVE_JPEG_TRUE = @HAVE_JPEG_TRUE@
-HAVE_LABLGTK2_FALSE = @HAVE_LABLGTK2_FALSE@
-HAVE_LABLGTK2_TRUE = @HAVE_LABLGTK2_TRUE@
-HAVE_LABLGTK_FALSE = @HAVE_LABLGTK_FALSE@
-HAVE_LABLGTK_TRUE = @HAVE_LABLGTK_TRUE@
-HAVE_PNG_FALSE = @HAVE_PNG_FALSE@
-HAVE_PNG_TRUE = @HAVE_PNG_TRUE@
-HAVE_PS_FALSE = @HAVE_PS_FALSE@
-HAVE_PS_TRUE = @HAVE_PS_TRUE@
-HAVE_TIFF_FALSE = @HAVE_TIFF_FALSE@
-HAVE_TIFF_TRUE = @HAVE_TIFF_TRUE@
-HAVE_XPM_FALSE = @HAVE_XPM_FALSE@
-HAVE_XPM_TRUE = @HAVE_XPM_TRUE@
-INCFREETYPE = @INCFREETYPE@
-INCXPM = @INCXPM@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-LABLGTK2DIR = @LABLGTK2DIR@
-LABLGTKDIR = @LABLGTKDIR@
-LDFLAGS = @LDFLAGS@
-LIBFREETYPE = @LIBFREETYPE@
-LIBGIF = @LIBGIF@
-LIBJPEG = @LIBJPEG@
-LIBOBJS = @LIBOBJS@
-LIBPNG = @LIBPNG@
-LIBS = @LIBS@
-LIBTIFF = @LIBTIFF@
-LIBXPM = @LIBXPM@
-LTLIBOBJS = @LTLIBOBJS@
-MAINT = @MAINT@
-MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
-MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
-MAKEINFO = @MAKEINFO@
-OBJEXT = @OBJEXT@
-OCAMLC = @OCAMLC@
-OCAMLCFLAGS = @OCAMLCFLAGS@
-OCAMLC_OPT = @OCAMLC_OPT@
-OCAMLDEP = @OCAMLDEP@
-OCAMLDEP_OPT = @OCAMLDEP_OPT@
-OCAMLLIB = @OCAMLLIB@
-OCAMLMKLIB = @OCAMLMKLIB@
-OCAMLMKLIB_OPT = @OCAMLMKLIB_OPT@
-OCAMLOPT = @OCAMLOPT@
-OCAMLOPT_OPT = @OCAMLOPT_OPT@
-OCAMLSITELIBDIR = @OCAMLSITELIBDIR@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_OCAMLFIND = @PATH_OCAMLFIND@
-PATH_RGB_TXT = @PATH_RGB_TXT@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-REQUIRES = @REQUIRES@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-STRIP = @STRIP@
-SUPPORT_FREETYPE = @SUPPORT_FREETYPE@
-SUPPORT_GIF = @SUPPORT_GIF@
-SUPPORT_JPEG = @SUPPORT_JPEG@
-SUPPORT_PNG = @SUPPORT_PNG@
-SUPPORT_PS = @SUPPORT_PS@
-SUPPORT_TIFF = @SUPPORT_TIFF@
-SUPPORT_XPM = @SUPPORT_XPM@
-VERSION = @VERSION@
-WORD_SIZE = @WORD_SIZE@
-XMKMF = @XMKMF@
-X_CFLAGS = @X_CFLAGS@
-X_EXTRA_LIBS = @X_EXTRA_LIBS@
-X_LIBS = @X_LIBS@
-X_PRE_LIBS = @X_PRE_LIBS@
-ac_ct_CC = @ac_ct_CC@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build_alias = @build_alias@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-host_alias = @host_alias@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-noinst_DATA = eng.html
-CLEANFILES = eng.html
-EXTRA_DIST = eng.html.in \
-	     crop-icon.jpg \
-	     crop.jpg \
-	     edge-icon.jpg \
-	     edge.jpg \
-	     fumicaml2-small.jpg \
-	     lvdemo-icon.jpg \
-	     lvdemo.jpg \
-	     test.jpg \
-	     test-small.jpg \
-	     ttfimg-icon.jpg \
-	     ttfimg.jpg
-
-all: all-am
-
-.SUFFIXES:
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
-		&& exit 0; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
-	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  doc/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-uninstall-info-am:
-tags: TAGS
-TAGS:
-
-ctags: CTAGS
-CTAGS:
-
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
-	  if test -d $$d/$$file; then \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
-	    fi; \
-	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
-	  else \
-	    test -f $(distdir)/$$file \
-	    || cp -p $$d/$$file $(distdir)/$$file \
-	    || exit 1; \
-	  fi; \
-	done
-check-am: all-am
-check: check-am
-all-am: Makefile $(DATA)
-installdirs:
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-	  `test -z '$(STRIP)' || \
-	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
-
-distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-
-maintainer-clean-generic:
-	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic mostlyclean-am
-
-distclean: distclean-am
-	-rm -f Makefile
-distclean-am: clean-am distclean-generic
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-info: info-am
-
-info-am:
-
-install-data-am:
-
-install-exec-am:
-
-install-info: install-info-am
-
-install-man:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-	-rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-generic
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-info-am
-
-.PHONY: all all-am check check-am clean clean-generic distclean \
-	distclean-generic distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
-	uninstall-info-am
-
-
-eng.html: $(top_srcdir)/config.status eng.html.in
-	rm -f eng.html eng.html.tmp
-	sed \
-		-e 's,@VERSION\@,$(VERSION),g' \
-		$(srcdir)/eng.html.in > eng.html.tmp
-	mv eng.html.tmp eng.html
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:

doc/sphinx/Makefile

-# Makefile for Sphinx documentation
-#
-
-# You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = _build
-
-# Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-
-.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
-
-help:
-	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  html      to make standalone HTML files"
-	@echo "  dirhtml   to make HTML files named index.html in directories"
-	@echo "  pickle    to make pickle files"
-	@echo "  json      to make JSON files"
-	@echo "  htmlhelp  to make HTML files and a HTML help project"
-	@echo "  qthelp    to make HTML files and a qthelp project"
-	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
-	@echo "  changes   to make an overview of all changed/added/deprecated items"
-	@echo "  linkcheck to check all external links for integrity"
-	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
-
-clean:
-	-rm -rf $(BUILDDIR)/*
-
-html:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
-
-dirhtml:
-	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
-	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
-
-pickle:
-	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
-	@echo
-	@echo "Build finished; now you can process the pickle files."
-
-json:
-	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
-	@echo
-	@echo "Build finished; now you can process the JSON files."
-
-htmlhelp:
-	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
-	@echo
-	@echo "Build finished; now you can run HTML Help Workshop with the" \
-	      ".hhp project file in $(BUILDDIR)/htmlhelp."
-
-qthelp:
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CamlImages.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CamlImages.qhc"
-
-latex:
-	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
-	@echo
-	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
-	      "run these through (pdf)latex."
-
-changes:
-	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
-	@echo
-	@echo "The overview file is in $(BUILDDIR)/changes."
-
-linkcheck:
-	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
-	@echo
-	@echo "Link check complete; look for any errors in the above output " \
-	      "or in $(BUILDDIR)/linkcheck/output.txt."
-
-doctest:
-	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
-	@echo "Testing of doctests in the sources finished, look at the " \
-	      "results in $(BUILDDIR)/doctest/output.txt."

examples/Makefile

-# Makefile.in generated by automake 1.9.6 from Makefile.am.
-# examples/Makefile.  Generated from Makefile.in by configure.
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-
-
-#*********************************************************************#
-#                                                                     #
-#                          Caml Images                                #
-#                                                                     #
-#            François Pessaux, projet Cristal, INRIA Rocquencourt     #
-#            Pierre Weis, projet Cristal, INRIA Rocquencourt          #
-#            Jun Furuse, projet Cristal, INRIA Rocquencourt           #
-#                                                                     #
-#  Copyright 1999-2004,                                               #
-#  Institut National de Recherche en Informatique et en Automatique.  #
-#  Distributed only by permission.                                    #
-#                                                                     #
-#*********************************************************************#
-
-#(* $Id: Makefile.am,v 1.2 2007/01/08 14:04:48 rousse Exp $ *)
-srcdir = .
-top_srcdir = ..
-
-pkgdatadir = $(datadir)/camlimages
-pkglibdir = $(libdir)/camlimages
-pkgincludedir = $(includedir)/camlimages
-top_builddir = ..
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = /usr/X11R6/bin/install -c
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-#am__append_1 = gifanim
-am__append_2 = liv
-am__append_3 = ttfimg
-am__append_4 = tiffps
-subdir = examples
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/ocaml.m4 \
-	$(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES =
-SOURCES =
-DIST_SOURCES =
-RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
-	html-recursive info-recursive install-data-recursive \
-	install-exec-recursive install-info-recursive \
-	install-recursive installcheck-recursive installdirs-recursive \
-	pdf-recursive ps-recursive uninstall-info-recursive \
-	uninstall-recursive
-ETAGS = etags
-CTAGS = ctags
-DIST_SUBDIRS = crop normalize converter edgedetect imgstat monochrome \
-	resize gifanim liv ttfimg tiffps
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run aclocal-1.9
-AMDEP_FALSE = #
-AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run tar
-AUTOCONF = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run automake-1.9
-AWK = gawk
-BUILD_BYTECODE_FALSE = #
-BUILD_BYTECODE_TRUE = 
-BUILD_NATIVE_FALSE = #
-BUILD_NATIVE_TRUE = 
-CC = gcc
-CCDEPMODE = depmode=none
-CFLAGS = -g -O2
-CPP = gcc -E
-CPPFLAGS = 
-CYGPATH_W = echo
-DEFS = -DHAVE_CONFIG_H
-DEPDIR = .deps
-ECHO_C = 
-ECHO_N = -n
-ECHO_T = 
-EGREP = /bin/grep -E
-EXEEXT = 
-FREETYPE_CONFIG = /usr/X11R6/bin/freetype-config
-GREP = /bin/grep
-GS = /usr/X11R6/bin/gs
-HAVE_FREETYPE_FALSE = #
-HAVE_FREETYPE_TRUE = 
-HAVE_GIF_FALSE = #
-HAVE_GIF_TRUE = 
-HAVE_JPEG_FALSE = #
-HAVE_JPEG_TRUE = 
-HAVE_LABLGTK2_FALSE = #
-HAVE_LABLGTK2_TRUE = 
-HAVE_LABLGTK_FALSE = 
-HAVE_LABLGTK_TRUE = #
-HAVE_PNG_FALSE = #
-HAVE_PNG_TRUE = 
-HAVE_PS_FALSE = #
-HAVE_PS_TRUE = 
-HAVE_TIFF_FALSE = #
-HAVE_TIFF_TRUE = 
-HAVE_XPM_FALSE = #
-HAVE_XPM_TRUE = 
-INCFREETYPE = -I/usr/include/freetype2
-INCXPM = 
-INSTALL_DATA = ${INSTALL} -m 644
-INSTALL_PROGRAM = ${INSTALL}
-INSTALL_SCRIPT = ${INSTALL}
-INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
-LABLGTK2DIR = /home/jun/.share/prefix/lib/ocaml/lablgtk2
-LABLGTKDIR = 
-LDFLAGS = 
-LIBFREETYPE = -lfreetype -lz
-LIBGIF = -lgif
-LIBJPEG = -ljpeg
-LIBOBJS = 
-LIBPNG = -lpng -lz
-LIBS = 
-LIBTIFF = -ltiff -lz -ljpeg
-LIBXPM =  -lXpm  -lSM -lICE -lX11 
-LTLIBOBJS = 
-MAINT = #
-MAINTAINER_MODE_FALSE = 
-MAINTAINER_MODE_TRUE = #
-MAKEINFO = ${SHELL} /home/jun/svn/x/clean/branches/omake/missing --run makeinfo
-OBJEXT = o
-OCAMLC = /home/jun/.share/prefix/bin/ocamlc.opt
-OCAMLCFLAGS = 
-OCAMLC_OPT = /home/jun/.share/prefix/bin/ocamlc.opt
-OCAMLDEP = /home/jun/.share/prefix/bin/ocamldep.opt
-OCAMLDEP_OPT = /home/jun/.share/prefix/bin/ocamldep.opt
-OCAMLLIB = /home/jun/.share/prefix/lib/ocaml
-OCAMLMKLIB = /home/jun/.share/prefix/bin/ocamlmklib
-OCAMLMKLIB_OPT = 
-OCAMLOPT = /home/jun/.share/prefix/bin/ocamlopt.opt
-OCAMLOPT_OPT = /home/jun/.share/prefix/bin/ocamlopt.opt
-OCAMLSITELIBDIR = /home/jun/.share/prefix/lib/ocaml/site-lib/camlimages
-PACKAGE = camlimages
-PACKAGE_BUGREPORT = use-omake-to-be-supported@nowhere.com
-PACKAGE_NAME = camlimages
-PACKAGE_STRING = camlimages 3.2.0
-PACKAGE_TARNAME = camlimages
-PACKAGE_VERSION = 3.2.0
-PATH_OCAMLFIND = /home/jun/.share/prefix/bin/ocamlfind
-PATH_RGB_TXT = none
-PATH_SEPARATOR = :
-REQUIRES = camlimages.lablgtk2 graphics
-SET_MAKE = 
-SHELL = /bin/sh
-STRIP = 
-SUPPORT_FREETYPE = true
-SUPPORT_GIF = true
-SUPPORT_JPEG = true
-SUPPORT_PNG = true
-SUPPORT_PS = true
-SUPPORT_TIFF = true
-SUPPORT_XPM = true
-VERSION = 3.2.0
-WORD_SIZE = 4
-XMKMF = 
-X_CFLAGS = 
-X_EXTRA_LIBS = 
-X_LIBS = 
-X_PRE_LIBS =  -lSM -lICE
-ac_ct_CC = gcc
-am__fastdepCC_FALSE = 
-am__fastdepCC_TRUE = #
-am__include = include
-am__leading_dot = .
-am__quote = 
-am__tar = ${AMTAR} chof - "$$tardir"
-am__untar = ${AMTAR} xf -
-bindir = ${exec_prefix}/bin
-build_alias = 
-datadir = ${datarootdir}
-datarootdir = ${prefix}/share
-docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
-dvidir = ${docdir}
-exec_prefix = ${prefix}
-host_alias = 
-htmldir = ${docdir}
-includedir = ${prefix}/include
-infodir = ${datarootdir}/info
-install_sh = /home/jun/svn/x/clean/branches/omake/install-sh
-libdir = ${exec_prefix}/lib
-libexecdir = ${exec_prefix}/libexec
-localedir = ${datarootdir}/locale
-localstatedir = ${prefix}/var
-mandir = ${datarootdir}/man
-mkdir_p = mkdir -p --
-oldincludedir = /usr/include
-pdfdir = ${docdir}
-prefix = /home/jun/.share/prefix
-program_transform_name = s,x,x,
-psdir = ${docdir}
-sbindir = ${exec_prefix}/sbin
-sharedstatedir = ${prefix}/com
-sysconfdir = ${prefix}/etc
-target_alias = 
-SUBDIRS = crop normalize converter edgedetect imgstat monochrome \
-	resize $(am__append_1) $(am__append_2) $(am__append_3) \
-	$(am__append_4)
-all: all-recursive
-
-.SUFFIXES:
-$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
-		&& exit 0; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/Makefile'; \
-	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  examples/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: # $(am__configure_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-uninstall-info-am:
-
-# This directory's subdirectories are mostly independent; you can cd
-# into them and run `make' without going through this Makefile.
-# To change the values of `make' variables: instead of editing Makefiles,
-# (1) if the variable is set in `config.status', edit `config.status'
-#     (which will cause the Makefiles to be regenerated when you run `make');
-# (2) otherwise, pass the desired values on the `make' command line.
-$(RECURSIVE_TARGETS):
-	@failcom='exit 1'; \
-	for f in x $$MAKEFLAGS; do \
-	  case $$f in \
-	    *=* | --[!k]*);; \
-	    *k*) failcom='fail=yes';; \
-	  esac; \
-	done; \
-	dot_seen=no; \
-	target=`echo $@ | sed s/-recursive//`; \
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  echo "Making $$target in $$subdir"; \
-	  if test "$$subdir" = "."; then \
-	    dot_seen=yes; \
-	    local_target="$$target-am"; \
-	  else \
-	    local_target="$$target"; \
-	  fi; \
-	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-	  || eval $$failcom; \
-	done; \
-	if test "$$dot_seen" = "no"; then \
-	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
-	fi; test -z "$$fail"
-
-mostlyclean-recursive clean-recursive distclean-recursive \
-maintainer-clean-recursive:
-	@failcom='exit 1'; \
-	for f in x $$MAKEFLAGS; do \
-	  case $$f in \
-	    *=* | --[!k]*);; \
-	    *k*) failcom='fail=yes';; \
-	  esac; \
-	done; \
-	dot_seen=no; \
-	case "$@" in \
-	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
-	  *) list='$(SUBDIRS)' ;; \
-	esac; \
-	rev=''; for subdir in $$list; do \
-	  if test "$$subdir" = "."; then :; else \
-	    rev="$$subdir $$rev"; \
-	  fi; \
-	done; \
-	rev="$$rev ."; \
-	target=`echo $@ | sed s/-recursive//`; \
-	for subdir in $$rev; do \
-	  echo "Making $$target in $$subdir"; \
-	  if test "$$subdir" = "."; then \
-	    local_target="$$target-am"; \
-	  else \
-	    local_target="$$target"; \
-	  fi; \
-	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
-	  || eval $$failcom; \
-	done && test -z "$$fail"
-tags-recursive:
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
-	done
-ctags-recursive:
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
-	done
-
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
-	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	mkid -fID $$unique
-tags: TAGS
-
-TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \
-	here=`pwd`; \
-	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
-	  include_option=--etags-include; \
-	  empty_fix=.; \
-	else \
-	  include_option=--include; \
-	  empty_fix=; \
-	fi; \
-	list='$(SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test ! -f $$subdir/TAGS || \
-	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
-	  fi; \
-	done; \
-	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	    $$tags $$unique; \
-	fi
-ctags: CTAGS
-CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \
-	here=`pwd`; \
-	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '    { files[$$0] = 1; } \
-	       END { for (i in files) print i; }'`; \
-	test -z "$(CTAGS_ARGS)$$tags$$unique" \
-	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
-	     $$tags $$unique
-
-GTAGS:
-	here=`$(am__cd) $(top_builddir) && pwd` \
-	  && cd $(top_srcdir) \
-	  && gtags -i $(GTAGS_ARGS) $$here
-
-distclean-tags:
-	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
-	  if test -d $$d/$$file; then \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
-	    fi; \
-	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
-	  else \
-	    test -f $(distdir)/$$file \
-	    || cp -p $$d/$$file $(distdir)/$$file \
-	    || exit 1; \
-	  fi; \
-	done
-	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  if test "$$subdir" = .; then :; else \
-	    test -d "$(distdir)/$$subdir" \
-	    || $(mkdir_p) "$(distdir)/$$subdir" \
-	    || exit 1; \
-	    distdir=`$